Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.util
Class MetaABMAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.util.MetaABMAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  MetaABMItemProviderAdapterFactory

    public class MetaABMAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `MetaABMPackage`

Field Summary
`protected static MetaABMPackage` | `modelPackage` The cached model package.
`protected MetaABMSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

Constructor Summary
`MetaABMAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createIActAdapter()` Creates a new adapter for an object of class '`IAct`'.
`org.eclipse.emf.common.notify.Adapter` | `createIAgentChildAdapter()` Creates a new adapter for an object of class '`IAgent Child`'.
`org.eclipse.emf.common.notify.Adapter` | `createIArtifactAdapter()` Creates a new adapter for an object of class '`IArtifact`'.
`org.eclipse.emf.common.notify.Adapter` | `createIAttributeChildAdapter()` Creates a new adapter for an object of class '`IAttribute Child`'.
`org.eclipse.emf.common.notify.Adapter` | `createIIDAdapter()` Creates a new adapter for an object of class '`IID`'.
`org.eclipse.emf.common.notify.Adapter` | `createIModelExtensionAdapter()` Creates a new adapter for an object of class '`IModel Extension`'.
`org.eclipse.emf.common.notify.Adapter` | `createITypedAdapter()` Creates a new adapter for an object of class '`ITyped`'.
`org.eclipse.emf.common.notify.Adapter` | `createITypedArrayAdapter()` Creates a new adapter for an object of class ' `ITyped Array`'.
`org.eclipse.emf.common.notify.Adapter` | `createIValueAdapter()` Creates a new adapter for an object of class '`IValue`'.
`org.eclipse.emf.common.notify.Adapter` | `createSActableAdapter()` Creates a new adapter for an object of class '`SActable`'.
`org.eclipse.emf.common.notify.Adapter` | `createSAgentAdapter()` Creates a new adapter for an object of class '`SAgent`'.
`org.eclipse.emf.common.notify.Adapter` | `createSAttributeAdapter()` Creates a new adapter for an object of class '`SAttribute`'.
`org.eclipse.emf.common.notify.Adapter` | `createSAttributeArrayAdapter()` Creates a new adapter for an object of class ' `SAttribute Array`'.
`org.eclipse.emf.common.notify.Adapter` | `createSAttributedAdapter()` Creates a new adapter for an object of class ' `SAttributed`'.
`org.eclipse.emf.common.notify.Adapter` | `createSContextAdapter()` Creates a new adapter for an object of class '`SContext`'.
`org.eclipse.emf.common.notify.Adapter` | `createSContinuousSpaceAdapter()` Creates a new adapter for an object of class '`SContinuous Space`'.
`org.eclipse.emf.common.notify.Adapter` | `createSGeographyAdapter()` Creates a new adapter for an object of class '`SGeography`'.
`org.eclipse.emf.common.notify.Adapter` | `createSGridAdapter()` Creates a new adapter for an object of class '`SGrid`'.
`org.eclipse.emf.common.notify.Adapter` | `createSImplementationAdapter()` Creates a new adapter for an object of class ' `SImplementation`'.
`org.eclipse.emf.common.notify.Adapter` | `createSImplementedAdapter()` Creates a new adapter for an object of class ' `SImplemented`'.
`org.eclipse.emf.common.notify.Adapter` | `createSNamedAdapter()` Creates a new adapter for an object of class '`SNamed`'.
`org.eclipse.emf.common.notify.Adapter` | `createSNDimensionalAdapter()` Creates a new adapter for an object of class ' `SN Dimensional`'.
`org.eclipse.emf.common.notify.Adapter` | `createSNetworkAdapter()` Creates a new adapter for an object of class '`SNetwork`'.
`org.eclipse.emf.common.notify.Adapter` | `createSProjectionAdapter()` Creates a new adapter for an object of class ' `SProjection`'.
`org.eclipse.emf.common.notify.Adapter` | `createSStateAdapter()` Creates a new adapter for an object of class '`SState`'.
`org.eclipse.emf.common.notify.Adapter` | `createSStateValueAdapter()` Creates a new adapter for an object of class ' `SState Value`'.
`org.eclipse.emf.common.notify.Adapter` | `createSStyle2DAdapter()` Creates a new adapter for an object of class '`SStyle2 D`'.
`org.eclipse.emf.common.notify.Adapter` | `createSStyle3DAdapter()` Creates a new adapter for an object of class '`SStyle3 D`'.
`org.eclipse.emf.common.notify.Adapter` | `createSStyleAdapter()` Creates a new adapter for an object of class '`SStyle`'.
`org.eclipse.emf.common.notify.Adapter` | `createSStyleShapeAdapter()` Creates a new adapter for an object of class ' `SStyle Shape`'.
`org.eclipse.emf.common.notify.Adapter` | `createSValueLayerAdapter()` Creates a new adapter for an object of class ' `SValue Layer`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static MetaABMPackage modelPackage

  The cached model package.

### modelSwitch

    protected MetaABMSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### MetaABMAdapterFactory

    public MetaABMAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createIIDAdapter

    public org.eclipse.emf.common.notify.Adapter createIIDAdapter()

  Creates a new adapter for an object of class '`IID`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IID`

### createITypedAdapter

    public org.eclipse.emf.common.notify.Adapter createITypedAdapter()

  Creates a new adapter for an object of class '`ITyped`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ITyped`

### createITypedArrayAdapter

    public org.eclipse.emf.common.notify.Adapter createITypedArrayAdapter()

  Creates a new adapter for an object of class ' `ITyped Array`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ITypedArray`

### createIValueAdapter

    public org.eclipse.emf.common.notify.Adapter createIValueAdapter()

  Creates a new adapter for an object of class '`IValue`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IValue`

### createIArtifactAdapter

    public org.eclipse.emf.common.notify.Adapter createIArtifactAdapter()

  Creates a new adapter for an object of class '`IArtifact`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IArtifact`

### createIActAdapter

    public org.eclipse.emf.common.notify.Adapter createIActAdapter()

  Creates a new adapter for an object of class '`IAct`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IAct`

### createSNamedAdapter

    public org.eclipse.emf.common.notify.Adapter createSNamedAdapter()

  Creates a new adapter for an object of class '`SNamed`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SNamed`

### createSAttributedAdapter

    public org.eclipse.emf.common.notify.Adapter createSAttributedAdapter()

  Creates a new adapter for an object of class ' `SAttributed`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SAttributed`

### createSAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createSAttributeAdapter()

  Creates a new adapter for an object of class '`SAttribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SAttribute`

### createSAttributeArrayAdapter

    public org.eclipse.emf.common.notify.Adapter createSAttributeArrayAdapter()

  Creates a new adapter for an object of class ' `SAttribute Array`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SAttributeArray`

### createSAgentAdapter

    public org.eclipse.emf.common.notify.Adapter createSAgentAdapter()

  Creates a new adapter for an object of class '`SAgent`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SAgent`

### createSContextAdapter

    public org.eclipse.emf.common.notify.Adapter createSContextAdapter()

  Creates a new adapter for an object of class '`SContext`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SContext`

### createSProjectionAdapter

    public org.eclipse.emf.common.notify.Adapter createSProjectionAdapter()

  Creates a new adapter for an object of class ' `SProjection`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SProjection`

### createSNDimensionalAdapter

    public org.eclipse.emf.common.notify.Adapter createSNDimensionalAdapter()

  Creates a new adapter for an object of class ' `SN Dimensional`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SNDimensional`

### createSContinuousSpaceAdapter

    public org.eclipse.emf.common.notify.Adapter createSContinuousSpaceAdapter()

  Creates a new adapter for an object of class '`SContinuous Space`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SContinuousSpace`

### createSGridAdapter

    public org.eclipse.emf.common.notify.Adapter createSGridAdapter()

  Creates a new adapter for an object of class '`SGrid`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SGrid`

### createSNetworkAdapter

    public org.eclipse.emf.common.notify.Adapter createSNetworkAdapter()

  Creates a new adapter for an object of class '`SNetwork`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SNetwork`

### createSGeographyAdapter

    public org.eclipse.emf.common.notify.Adapter createSGeographyAdapter()

  Creates a new adapter for an object of class '`SGeography`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SGeography`

### createSValueLayerAdapter

    public org.eclipse.emf.common.notify.Adapter createSValueLayerAdapter()

  Creates a new adapter for an object of class ' `SValue Layer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SValueLayer`

### createSStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyleAdapter()

  Creates a new adapter for an object of class '`SStyle`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SStyle`

### createSStyle3DAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyle3DAdapter()

  Creates a new adapter for an object of class '`SStyle3 D`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SStyle3D`

### createSStyle2DAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyle2DAdapter()

  Creates a new adapter for an object of class '`SStyle2 D`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SStyle2D`

### createSStyleShapeAdapter

    public org.eclipse.emf.common.notify.Adapter createSStyleShapeAdapter()

  Creates a new adapter for an object of class ' `SStyle Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SStyleShape`

### createSImplementedAdapter

    public org.eclipse.emf.common.notify.Adapter createSImplementedAdapter()

  Creates a new adapter for an object of class ' `SImplemented`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SImplemented`

### createSImplementationAdapter

    public org.eclipse.emf.common.notify.Adapter createSImplementationAdapter()

  Creates a new adapter for an object of class ' `SImplementation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SImplementation`

### createIAgentChildAdapter

    public org.eclipse.emf.common.notify.Adapter createIAgentChildAdapter()

  Creates a new adapter for an object of class '`IAgent Child`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IAgentChild`

### createIAttributeChildAdapter

    public org.eclipse.emf.common.notify.Adapter createIAttributeChildAdapter()

  Creates a new adapter for an object of class '`IAttribute Child`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IAttributeChild`

### createIModelExtensionAdapter

    public org.eclipse.emf.common.notify.Adapter createIModelExtensionAdapter()

  Creates a new adapter for an object of class '`IModel Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IModelExtension`

### createSStateAdapter

    public org.eclipse.emf.common.notify.Adapter createSStateAdapter()

  Creates a new adapter for an object of class '`SState`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SState`

### createSStateValueAdapter

    public org.eclipse.emf.common.notify.Adapter createSStateValueAdapter()

  Creates a new adapter for an object of class ' `SState Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SStateValue`

### createSActableAdapter

    public org.eclipse.emf.common.notify.Adapter createSActableAdapter()

  Creates a new adapter for an object of class '`SActable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SActable`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD